Author Topic: grub  (Read 1155 times)

Offline carlo

  • Full Member
  • ***
  • Posts: 199
grub
« on: March 10, 2015, 04:05:33 pm »
hi all
this is pretty urgent.
something's wrong with grub and surroundings

i have removed grub-customizer
i have tried purging al of my grub* packages

but now..
i can't simply install any grub, this is the outcome:
installing grub-legacy:
Si sono verificati degli errori nell'elaborazione:
 sparky-grub-theme
E: Sub-process /usr/bin/dpkg returned an error code (1)

apt-get install -f grub2
dpkg: errore nell'elaborare il pacchetto grub2 (--configure):
 problemi con le dipendenze - lasciato non configurato
Si sono verificati degli errori nell'elaborazione:
 sparky-grub-theme
 grub-pc
 grub2
E: Sub-process /usr/bin/dpkg returned an error code (1)

any hint?
i'd like to switch my pc off knowing i have not to reinstall the whole system...

Offline GeneC

  • Full Member
  • ***
  • Posts: 126
Re: grub
« Reply #1 on: March 10, 2015, 04:18:06 pm »
Hi carlo..

Looks like they did not install
Try
Code: [Select]
sudo apt-get install -f
Code: [Select]
sudo dpkg --configure -a

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1465
    • SparkyLinux
Re: grub
« Reply #2 on: March 10, 2015, 06:34:18 pm »
In addition, you shouldn't install grub-legacy - we use grub-pc
Nothing is easy as it looks.

Offline carlo

  • Full Member
  • ***
  • Posts: 199
Re: grub
« Reply #3 on: March 10, 2015, 09:12:38 pm »
as for grub-legacy, it was just an attempt..
maybe i should try lilo or burg?


install and dpkg were already tried, alas:

install -f
Spoiler (click here to view)
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
  gir1.2-gstreamer-0.10 gnome-js-common hwinfo libgcrypt11:i386
  libgnutls26:i386 libhd21 libk3b3-extracodecs-trinity libk3b3-trinity
  libllvm3.4 libllvm3.4:i386 libmusicbrainz5-0 libseed-gtk3-0
  libsystemd-journal0 libsystemd-login0 libtool-bin libts-0.0-0
  libts-0.0-0:i386 libturbojpeg1 libutvideo14.2.1 libutvideo14.2.1:i386
  libutvideo15.0.0 libutvideo15.0.0:i386 libutvideo15.0.1
  libutvideo15.0.1:i386 libwebp-dev libx264-142:i386 libx265-31:i386
  libx265-35:i386 libx86emu1 linux-headers-3.14-2-amd64
  linux-headers-3.14-2-common linux-image-3.14-2-amd64
  linux-image-3.16-2-amd64 linux-kbuild-3.14 python3-packagekit tsconf
Usare "apt-get autoremove" per rimuoverli.
0 aggiornati, 0 installati, 0 da rimuovere e 404 non aggiornati.
3 non completamente installati o rimossi.
È necessario scaricare 0 B/4.544 B di archivi.
Dopo quest'operazione, verranno occupati 0 B di spazio su disco.
Configurazione di grub-pc (2.02~beta2-21)...
Installing for i386-pc platform.
Installazione completata, nessun errore segnalato.
Generating grub configuration file ...
/etc/grub.d/05_debian_theme.save: 154: .: Can't open /usr/share/desktop-base/
grub_background.sh
dpkg: errore nell'elaborare il pacchetto grub-pc (--configure):
 il sottoprocesso installato script di post-installation ha restituito lo stato di errore 2
dpkg: errore nell'elaborare il pacchetto sparky-grub-theme (--configure):
 il pacchetto sparky-grub-theme non è pronto per la configurazione
 impossibile configurarlo (stato corrente "half-installed")
dpkg: problemi con le dipendenze impediscono la configurazione di grub2:
 grub2 dipende da grub-pc (= 2.02~beta2-21); comunque:
  Il pacchetto grub-pc non è ancora configurato.

dpkg: errore nell'elaborare il pacchetto grub2 (--configure):
 problemi con le dipendenze - lasciato non configurato
Si sono verificati degli errori nell'elaborazione:
 grub-pc
 sparky-grub-theme
 grub2
E: Sub-process /usr/bin/dpkg returned an error code (1)


dpkg
Spoiler (click here to view)
sudo dpkg --configure -a
Configurazione di grub-pc (2.02~beta2-21)...
Installing for i386-pc platform.
Installazione completata, nessun errore segnalato.
Generating grub configuration file ...
/etc/grub.d/05_debian_theme.save: 154: .: Can't open /usr/share/desktop-base/
grub_background.sh
dpkg: errore nell'elaborare il pacchetto grub-pc (--configure):
 il sottoprocesso installato script di post-installation ha restituito lo stato di errore 2
dpkg: problemi con le dipendenze impediscono la configurazione di grub2:
 grub2 dipende da grub-pc (= 2.02~beta2-21); comunque:
  Il pacchetto grub-pc non è ancora configurato.

dpkg: errore nell'elaborare il pacchetto grub2 (--configure):
 problemi con le dipendenze - lasciato non configurato
Si sono verificati degli errori nell'elaborazione:
 grub-pc
 grub2
« Last Edit: March 10, 2015, 09:17:44 pm by carlo »

Offline carlo

  • Full Member
  • ***
  • Posts: 199
Re: grub
« Reply #4 on: March 10, 2015, 10:17:43 pm »
no
wait
maybe somehow i've solved
no idea how
i've depackaged, forced, installed, purged, etc, and now from synaptic it seems i can safely install grub and other things...
now i reboot
let's hope.........

Offline carlo

  • Full Member
  • ***
  • Posts: 199
Re: grub
« Reply #5 on: March 10, 2015, 10:23:19 pm »
seems like it's working now...
now i try to install grub-customizer and let's check the effect......



well
no effect
update-grub jus answers me
"Generating grub configuration file ...
using custom appearance settings
Found background image: /home/carlo/Immagini/Women-Sensual-58637.tga
/etc/grub.d/05_debian_theme.save: 154: .: Can't open /usr/share/desktop-base/
grub_background.sh"

and grub-customizer refuses to start cause i don't know
« Last Edit: March 10, 2015, 11:19:26 pm by carlo »

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1465
    • SparkyLinux
Re: grub
« Reply #6 on: March 11, 2015, 02:12:58 am »
I don't know what the grub-customizer broken, but can't you remove it and reinstall grub packages?
Code: [Select]
apt-get remove grub-customizer
apt-get install grub-common grub-pc grub-pc-bin grub2-common
Then:
Code: [Select]
apt-get autoremoveYou don't need the grub-customizer to add your background to the grub screen.
I'm not sure that grub supports '.tga' extensions.
Nothing is easy as it looks.

Offline carlo

  • Full Member
  • ***
  • Posts: 199
Re: grub
« Reply #7 on: March 11, 2015, 08:39:42 am »
not really sure what happened

i wanted to use grub-customizer on my home pc, since i'm going to mess with windows hd
i've  received that error message about background.sh, and then i couldn't start grub-customizer anymore, i guess cause something with a file named device.map, since i was showed options and paths and that file had a triangle nearby

so i thought about purging and reinstalling grub*, but when i got to install part it seemed that on one hand sparky-grub-theme went in conflict with grub-pc and grub2, while on the other i could not uninstall sparky-grub-theme cause of it status "half installed", so i've been following several guides for this issues: i've purged, depackaged, depackaged dep, tried to install, force installs, etc, even edited those .prerm .postrm files (i've added ||true somewhere): everytime it got to grub installation/configuration, soon after i chose the hd where to install it i was just given errors

i went on with those commands for a while and tried to install grub-customizer as well when i eventually noticed that i could run update-grub and get back that error about background.sh

after many attempts it turned out that renaming that file allowed grub to settle normally, even though grub customizer doesn't start or cannot update grub

then after a long struggle i have changed my the background string in three files:
05_debian_theme or 05_debian_theme.save
/etc/default/grub
/usr/share/desktop-base/sparky_grub_background.sh

no idea why but if i did not edit the last one i could not get to have image changed, though editing the first two only would make the ugly blue background disappeared, revealing a nice blue landscape in its whole (i wanted to see this image
Code: [Select]
http://2.bp.blogspot.com/_SJxIypSZORs/SteBAytZUBI/AAAAAAAAADg/npxcIzxls5M/s1600-h/Women-Sensual-58637.jpg , and actually there's a bluish version of this girl with debian symbol out there, if you're ever interested to change sparky theme  :P )


not sure if i have been clear enough since i'm not sure myself what has passed
« Last Edit: March 11, 2015, 08:49:11 am by carlo »

Offline galenthurber

  • Newbie
  • *
  • Posts: 3
  • prickly Bright skeptic Humanist
Re: grub
« Reply #8 on: March 11, 2015, 06:42:53 pm »

have boot recovery tool
http://www.supergrubdisk.org/
or better
http://partedmagic.com/

check which OS is controlling the boot loader, usually the OS you install controls the boot loader.
If you installed another Os then removed it, it still controls boot loader

grub2 should have been made to be self correcting but it is not
XMPP: galen@jabber.org Halifax, Nova Scotia, Canada
long time tux user. godfree2 on sourceforge flightsimhq founder

Offline carlo

  • Full Member
  • ***
  • Posts: 199
Re: grub
« Reply #9 on: March 12, 2015, 08:59:01 am »
i didnt' try yet supergrub for laziness, and second one is paid... so as fare as it works...

i guess it should be sparky to control the boot, windows hd is under fixing (read i still need a backup support, cause i need to rewrite whole partition tables) and the only operative system installed is sparky
however i've tried the boot repair program, and this is the outcome:
Code: [Select]
http://paste2.org/JNjNwjBg
and i've noticed that synaptic, as i installed lightscribe-installer on its own wrote things like
linux image 3.16.2.....
linux image 3.6.2......
etc